Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::Argument Class Reference

`#include <Argument.h>`

## Public Member Functions
| Argument ()
| Argument (ErrorHandler::Policy iPolicy)
| Argument (Alembic::Util::uint32_t iTsIndex)
| Argument (const AbcA::MetaData &iMetaData)
| Argument (const AbcA::TimeSamplingPtr &iTsPtr)
| Argument (SchemaInterpMatching iMatch)
| Argument (SparseFlag iSparse)
void | setInto (Arguments &iArgs) const

## Detailed Description

Definition at line 119 of file Argument.h.

## Constructor & Destructor Documentation

## ◆ Argument() [1/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( |  | ) |
| inline

Definition at line 122 of file Argument.h.

## ◆ Argument() [2/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | ErrorHandler::Policy | iPolicy | ) |
| inline

Definition at line 125 of file Argument.h.

## ◆ Argument() [3/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | Alembic::Util::uint32_t | iTsIndex | ) |
| inline

Definition at line 129 of file Argument.h.

## ◆ Argument() [4/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | const AbcA::MetaData & | iMetaData | ) |
| inline

Definition at line 133 of file Argument.h.

## ◆ Argument() [5/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | const AbcA::TimeSamplingPtr & | iTsPtr | ) |
| inline

Definition at line 137 of file Argument.h.

## ◆ Argument() [6/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | SchemaInterpMatching | iMatch | ) |
| inline

Definition at line 141 of file Argument.h.

## ◆ Argument() [7/7]

Alembic::Abc::ALEMBIC_VERSION_NS::Argument::Argument | ( | SparseFlag | iSparse | ) |
| inline

Definition at line 145 of file Argument.h.

## Member Function Documentation

## ◆ setInto()

void Alembic::Abc::ALEMBIC_VERSION_NS::Argument::setInto | ( | Arguments & | iArgs | ) | const
| inline

Definition at line 149 of file Argument.h.

Referenced by Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::ITypedGeomParam(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::ITypedGeomParam< TRAITS >::ITypedGeomParam(), Alembic::Abc::ALEMBIC_VERSION_NS::OArchive::OArchive(), Alembic::Abc::ALEMBIC_VERSION_NS::OSchemaObject< SCHEMA >::OSchemaObject(), Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy(), Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicy(), Alembic::Abc::ALEMBIC_VERSION_NS::GetErrorHandlerPolicyFromArgs(), Alembic::Abc::ALEMBIC_VERSION_NS::GetMetaData(), Alembic::Abc::ALEMBIC_VERSION_NS::GetSchemaInterpMatching(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSampling(), Alembic::Abc::ALEMBIC_VERSION_NS::GetTimeSamplingIndex(), Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::init(), and Alembic::Abc::ALEMBIC_VERSION_NS::IsSparse().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/Argument.h